Package io.vertx.core

## Class VertxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BadRequestException`, `ClosedConnectionException`, `ConnectionPoolTooBusyException`, `DatabaseException`, `DnsException`, `FileSystemException`, `GrpcErrorException`, `HttpClosedException`, `InvalidMessageException`, `InvalidStatusException`, `MalformedValueException`, `MySQLBatchException`, `ReplyException`, `SchemaException`, `SMTPException`, `StatusException`, `StreamResetException`, `TransactionRollbackException`, `UpgradeRejectedException`, `ValidationException`

      public class VertxException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxException​(String message)` | Create an instance given a message
    `VertxException​(String message, boolean noStackTrace)` | Create an instance given a message
    `VertxException​(String message, Throwable cause)` | Create an instance given a message and a cause
    `VertxException​(String message, Throwable cause, boolean noStackTrace)` | Create an instance given a message
    `VertxException​(Throwable cause)` | Create an instance given a cause
    `VertxException​(Throwable cause, boolean noStackTrace)` | Create an instance given a message

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VertxException` | `noStackTrace​(String msg)` | Create an exception that does not capture a stack trace.
    `static VertxException` | `noStackTrace​(String msg, Throwable cause)` | Create an exception that does not capture a stack trace.
    `static VertxException` | `noStackTrace​(Throwable cause)` | Create an exception that does not capture a stack trace.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxException

          public VertxException​(String message)

      Create an instance given a message
      Parameters:
        `message` - the message

    - #### VertxException

          public VertxException​(String message,
                                Throwable cause)

      Create an instance given a message and a cause
      Parameters:
        `message` - the message
        `cause` - the cause

    - #### VertxException

          public VertxException​(Throwable cause)

      Create an instance given a cause
      Parameters:
        `cause` - the cause

    - #### VertxException

          public VertxException​(String message,
                                boolean noStackTrace)

      Create an instance given a message
      Parameters:
        `message` - the message
        `noStackTrace` - disable stack trace capture

    - #### VertxException

          public VertxException​(String message,
                                Throwable cause,
                                boolean noStackTrace)

      Create an instance given a message
      Parameters:
        `message` - the message
        `cause` - the cause
        `noStackTrace` - disable stack trace capture

    - #### VertxException

          public VertxException​(Throwable cause,
                                boolean noStackTrace)

      Create an instance given a message
      Parameters:
        `cause` - the cause
        `noStackTrace` - disable stack trace capture

  - ### Method Detail

    - #### noStackTrace

          public static VertxException noStackTrace​(String msg)

      Create an exception that does not capture a stack trace.
      Parameters:
        `msg` - the message
      Returns:
        the created exception

    - #### noStackTrace

          public static VertxException noStackTrace​(String msg,
                                                    Throwable cause)

      Create an exception that does not capture a stack trace.
      Parameters:
        `msg` - the message
        `cause` - the cause
      Returns:
        the created exception

    - #### noStackTrace

          public static VertxException noStackTrace​(Throwable cause)

      Create an exception that does not capture a stack trace.
      Parameters:
        `cause` - the cause
      Returns:
        the created exception